Handbook
Capture an email address before unlocking the handbook PDF download
Records an email address and returns the handbook download link as JSON.
POST
/
handbook
/
download-leads
cURL
curl -X POST https://parmana-api-real.vercel.app/handbook/download-leads \
-H "Content-Type: application/json" \
-d '{
"email": "reader@example.com"
}'const response = await fetch(
"https://parmana-api-real.vercel.app/handbook/download-leads",
{
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({ email: "reader@example.com" }),
},
);
console.log(response.status, await response.json());import requests
response = requests.post(
"https://parmana-api-real.vercel.app/handbook/download-leads",
json={"email": "reader@example.com"},
timeout=30,
)
print(response.status_code, response.json())const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com'})
};
fetch('https://parmana-api-real.vercel.app/handbook/download-leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-api-real.vercel.app/handbook/download-leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'jsmith@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://parmana-api-real.vercel.app/handbook/download-leads"
payload := strings.NewReader("{\n \"email\": \"jsmith@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://parmana-api-real.vercel.app/handbook/download-leads")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"jsmith@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-api-real.vercel.app/handbook/download-leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"jsmith@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"downloadUrl": "https://parmana-api-real.vercel.app/parmana-handbook.pdf"
}{
"error": "A valid email address is required."
}{
"error": "Rate limit exceeded. Try again later.",
"code": "RATE_LIMITED"
}⌘I
cURL
curl -X POST https://parmana-api-real.vercel.app/handbook/download-leads \
-H "Content-Type: application/json" \
-d '{
"email": "reader@example.com"
}'const response = await fetch(
"https://parmana-api-real.vercel.app/handbook/download-leads",
{
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({ email: "reader@example.com" }),
},
);
console.log(response.status, await response.json());import requests
response = requests.post(
"https://parmana-api-real.vercel.app/handbook/download-leads",
json={"email": "reader@example.com"},
timeout=30,
)
print(response.status_code, response.json())const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com'})
};
fetch('https://parmana-api-real.vercel.app/handbook/download-leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-api-real.vercel.app/handbook/download-leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'jsmith@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://parmana-api-real.vercel.app/handbook/download-leads"
payload := strings.NewReader("{\n \"email\": \"jsmith@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://parmana-api-real.vercel.app/handbook/download-leads")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"jsmith@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-api-real.vercel.app/handbook/download-leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"jsmith@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"downloadUrl": "https://parmana-api-real.vercel.app/parmana-handbook.pdf"
}{
"error": "A valid email address is required."
}{
"error": "Rate limit exceeded. Try again later.",
"code": "RATE_LIMITED"
}